PDA

View Full Version : Error 1328.error applying patch to file c:\config.msi\ptd.tmp.



fniles
03-04-2004, 12:27 PM
I created a quick patch (version 8.2.4) over another quick patch (version 8.2.3). When I created this quick patch, I did not get any error.

I then installed the quick patch, during status "patching files", I got an error "error 1328.error applying patch to file c:\config.msi\ptd.tmp. It has probably been updated by other means, and can no longer be modified by this patch. For more information contact your patch vendor. " There is the Abort, Retry and Ignore button. If I click on "Ignore", it continues installing the patch.

For information, yesterday, I created the same quick patch 8.2.4, and when I install the quick patch (for testing only), it went through without any error. Today, I rebuild the same quick patch (I added a change in the registry entry of the installed machine). On the test machine, I uninstall our software, reinstall version 8.2, and reinstall the quick patch 8.2.4, and I got an error this time.

What can I do to fix this problem? If I ignore the error, is it ok (the application seems to be running fine). Thanks.

fniles
03-05-2004, 02:05 PM
fyi: I am using Installshield express version 4. I followed the article on http://support.installshield.com/kb/view.asp?articleid=q107088 where I added the previous patches (8.2.1, 8.2.2 and 8.2.3) GUID in the Advance tab of Build settings, and I rebuilt the quick patch, but the error still occurs. I don't need to add the base installation (8.2.0) here, do I ?

Under History, all the previous patches (base installation 8.2.0, 8.2.1, 8.2.2, 8.2.3) are checked to be included.

If I install the previous patch 8.2.3 before installing this patch, the installation of this patch runs fine without an error. Why do I need to install patch 8.2.3 first? When I install patch 8.2.3, I do not have to install 8.2.2 first.

Thanks.

fniles
03-17-2004, 11:07 AM
Could anyone help me on this problem? Thank you very much.

fniles
03-22-2004, 10:58 AM
Anyone? Please...